//Shaders raliss par Kamaji.
//kamaji@noos.fr
//Visit www.media4D.fr.fm

textures/q3ff7/q3ff7_colone4
{   
 	  	{
                	map textures/effects/tinfx2c.tga
		    	tcmod scroll .2 .4
                	tcGen environment
                	rgbGen identity
		}   
        	{
			map textures/q3ff7/q3ff7_colone4.tga
            	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbGen identity
		} 
        	{
			map $lightmap
            	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
			rgbGen identity
		}

}


textures/q3ff7/q3ff7_reflect
{   
        	{
           		map textures/liquids/pool3d_5.jpg
           		rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
     		}   
        	{
			map textures/q3ff7/q3ff7_reflect.tga
            	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbGen identity
		} 
        	{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}


textures/q3ff7/q3ff7_cascade
{
		qer_editorimage textures/q3ff7/q3ff7_cascade.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		surfaceparm noimpact

		cull disable
		{ 
			map textures/q3ff7/q3ff7_cascade.tga
			blendFunc GL_dst_color GL_one
			tcmod scroll 0 .7
			tcmod scale 2 3
		}
	
}


textures/q3ff7/q3ff7_invisible
{
		qer_editorimage textures/q3ff7/q3ff7_invisible.tga
		qer_trans trans .5
		surfaceparm trans
		surfaceparm nodamage
		surfaceparm nolightmap
		surfaceparm noimpact		
        	{
           	 	map textures/q3ff7/q3ff7_invisible.tga
            	alphaFunc GE128
			depthWrite
			rgbGen vertex
        	}

}


textures/q3ff7/leaf
{
    		cull disable
    		surfaceparm alphashadow
    		surfaceparm trans
    		deformVertexes wave 64 sin .5 .5 0 .5
    		{
      		map textures/q3ff7/leaf.tga
      		alphaFunc GE128
			depthWrite
			rgbGen vertex
    		}
    		{
			map $lightmap
			rgbGen identity
			blendFunc filter
			depthFunc equal
    		}

}


textures/q3ff7/q3ff7_flotte
{
		qer_editorimage textures/q3ff7/q3ff7_flotte.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}
		{ 
			map textures/q3ff7/q3ff7_nuages.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcMod scale .06 .04
			tcMod scroll -.125 .2
		}
		{ 
			map textures/q3ff7/q3ff7_flotte.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
		}	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}


textures/q3ff7/tree02
{
		cull disable
		surfaceparm alphashadow
		surfaceparm trans
		deformVertexes autoSprite2
		{
      		map textures/q3ff7/tree02.tga
      		blendFunc BLEND
			rgbGen vertex
		}
		{
			map $lightmap
			rgbGen identity
			depthFunc equal
		}

}


textures/q3ff7/plant01
{
		cull disable
		surfaceparm alphashadow
		surfaceparm trans
		{
        		map textures/q3ff7/plant01.tga
        		blendFunc BLEND
			rgbGen vertex

        	}
		{
			map $lightmap
			rgbGen identity
			depthFunc equal
		}

}


textures/q3ff7/plant02
{
		cull disable
		surfaceparm alphashadow
		surfaceparm trans
		deformVertexes autosprite
		{
        		map textures/q3ff7/plant02.tga
        		blendFunc BLEND
			rgbGen vertex

        	}
		{
			map $lightmap
			rgbGen identity
			depthFunc equal
		}

}


textures/q3ff7/plant04
{
		cull disable
		surfaceparm alphashadow
		surfaceparm trans
		deformVertexes autosprite
		{
        		map textures/q3ff7/plant04.tga
        		blendFunc BLEND
			rgbGen vertex

        	}
		{
			map $lightmap
			rgbGen identity
			depthFunc equal
		}

}


textures/q3ff7/q3ff7_glass
{
		surfaceparm nolightmap
		cull twosided
		{ 
			map textures/q3ff7/q3ff7_nuages.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcMod scale .06 .04
			tcMod scroll -.125 .2
		}
		{
			map textures/q3ff7/q3ff7_glass.tga
			tcGen environment
			tcMod turb 0 0.01 0 0.01	        
			tcmod scroll .0 .0
			blendfunc GL_ONE GL_ONE
      	}
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}


textures/q3ff7/column_modif
{   
 		qer_editorimage textures/q3ff7/column_modif.tga
		q3map_globaltexture

		cull disable
		{
               	map textures/effects/tinfx2c.tga
                	tcGen environment
                	rgbGen identity
		}   
        	{
			map textures/q3ff7/column_modif.tga
                	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbGen identity
		} 
        	{
			map $lightmap
                	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
			rgbGen identity
		}

}


textures/q3ff7/column2c_modif
{   
 		qer_editorimage textures/q3ff7/column2c_modif.tga
		q3map_globaltexture

		cull disable
		{
                	map textures/effects/tinfx2c.tga
                	tcGen environment
                	rgbGen identity
		}   
        	{
			map textures/q3ff7/column2c_modif.tga
                	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbGen identity
		} 
        	{
			map $lightmap
                	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
			rgbGen identity
		}

}


textures/q3ff7/gold_modif
{   
 		qer_editorimage textures/q3ff7/gold_modif.tga
		q3map_globaltexture

		cull disable
		{
                	map textures/effects/tinfx2c.tga
                	tcGen environment
                	rgbGen identity
		}   
        	{
			map textures/q3ff7/gold_modif.tga
                	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbGen identity
		} 
        	{
			map $lightmap
                	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
			rgbGen identity
		}

}


textures/q3ff7/column2a_modif
{   
 		qer_editorimage textures/q3ff7/column2a_modif.tga
		q3map_globaltexture

		cull disable
		{
                	map textures/effects/tinfx2c.tga
                	tcGen environment
                	rgbGen identity
		}   
        	{
			map textures/q3ff7/column2a_modif.tga
               	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbGen identity
		} 
        	{
			map $lightmap
                	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
			rgbGen identity
		}

}


textures/q3ff7/q3ff7sky_skybox
{
		surfaceparm noimpact
		surfaceparm nolightmap
		surfaceparm sky
      	q3map_lightimage textures/q3ff7/q3ff7sky_view.tga
		q3map_sun 1 1 1 100 220 50
		q3map_surfacelight 160

        	skyparms env/q3ff7sky/q3ff7sky - -
       	{
			map textures/q3ff7/q3ff7_nuages.tga
			blendfunc GL_ONE GL_ONE
			tcMod scroll 0.05 0.06
			tcMod scale 3 2
		}

}


textures/q3ff7/comp_perfect
{
		qer_editorimage textures/q3ff7/comp_perfect.tga
		q3map_lightimage textures/q3ff7/comp_perfect.tga
        	q3map_surfacelight 50
		{
		animMap 0.40 textures/q3ff7/comp_perfect.tga textures/q3ff7/comp_jet.tga textures/q3ff7/comp_shadow.tga textures/q3ff7/comp_rare.tga

		//blendFunc GL_ONE GL_ONE
		rgbGen wave square 0 3 0 .40
		}
		{
			map textures/base_wall/comp3text.tga
			blendfunc add
	        	rgbGen identity
			tcmod scroll 3 3
		}
		{
			map textures/base_wall/comp3textb.tga
			blendfunc add
	        	rgbGen identity
			tcmod scroll 3 3
		}
		{
			map $lightmap
	        	rgbGen identity
			blendfunc gl_dst_color gl_zero
		}
		{
			map $lightmap
			tcgen environment
			tcmod scale .5 .5
	        	rgbGen wave sin .25 0 0 0
			blendfunc add
		}	
          		
}     


textures/q3ff7/q3ff7_glass2
{
		surfaceparm nolightmap
		{
			map textures/q3ff7/q3ff7_glass2.tga
			tcGen environment
			tcMod turb 0 0.01 0 0.01	        
			tcmod scroll .0 .0
			tcmod scale 1 3
			blendfunc GL_ONE GL_ONE
      	}

}


textures/q3ff7/sphere2
{
		qer_editorimage textures/effects/envmapbfg.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nolightmap
		surfaceparm noimpact

		cull disable
		{ 
			map textures/effects/envmapbfg.tga
			blendfunc GL_ONE GL_ONE
			tcMod scroll 0.05 0.06
		}
	
}


textures/q3ff7/concrete04_zou
{
		qer_editorimage textures/q3ff7/concrete04.tga
		surfaceparm nonsolid
		surfaceparm nolightmap		
        	{
            	map textures/q3ff7/concrete04.tga
			depthWrite
			rgbGen vertex
        	}

}


textures/q3ff7/q3ff7_bubble
{
		deformVertexes autoSprite2
		deformVertexes wave 64 sin 1 1 0 1
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		{ 
			map textures/q3ff7/q3ff7_bubble.tga
			blendFunc BLEND
			tcmod scroll 0 .3
		}
	
}


textures/q3ff7/q3ff7_tree
{
		surfaceparm trans	
		surfaceparm alphashadow
		surfaceparm noimpact
		nopicmip
		{
			map textures/q3ff7/q3ff7_tree.tga
			blendFunc GL_ONE GL_ZERO
			alphaFunc GE128
			depthWrite
			rgbGen identity
		}
		{
			map $lightmap
			rgbGen identity
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
		}

}



















































